package org.netbeans.lib.cvsclient.util;

/**
 * @author Thomas Singer
 */
public interface ILogger {

	boolean isDebugEnabled();

	boolean isInfoEnabled();

	boolean isWarnEnabled();

	boolean isErrorEnabled();

	boolean isFatalEnabled();

	void debug(Object message);

	void debug(Object message, Throwable t);

	void info(Object message);

	void info(Object message, Throwable t);

	void warn(Object message);

	void warn(Object message, Throwable t);

	void error(Object message);

	void error(Object message, Throwable t);

	void fatal(Object message);

	void fatal(Object message, Throwable t);
}
